+1-888-365-2779
Try Now
More in this section

Forums / Bugs & Issues / MVC does not implement IController interface

MVC does not implement IController interface

4 posts, 0 answered
  1. Christian
    Christian avatar
    10 posts
    Registered:
    22 Aug 2013
    27 Sep 2013
    Link to this post
    .
  2. Stanislav Velikov
    Stanislav Velikov avatar
    1113 posts
    Registered:
    22 Sep 2016
    30 Sep 2013
    Link to this post
    Hi,

    I suppose this have started to occur after the upgrade to sitefinity 6.1. In sitefinity 6.1 the MVC version used in sitefinity was upgraded to using MVC version 4.0 (before it was MVC v 3.0).

    The assembly reference for System.Web.MVC must still be pointing to System.Web.MVC version 3.0. Please check the assembly references for the site for System.Web.Mvc and make sure it is pointing to version 4.0 (here is a screenshot).

    After this compile the project and both registering and using MVC widgets will be possible.

    Regards,
    Stanislav Velikov
    Telerik
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  3. Jashanpreet
    Jashanpreet avatar
    1 posts
    Registered:
    30 Apr 2015
    30 Apr 2015
    Link to this post
    Hi Support,

    I am new to sitefinity cms and need to deliver a project to my client very urgently. In my application I need to do some customization in widgets so I have created a custom widget using MVC. When I go to Administrator panel to use this widget when I drag this custom widget I am getting error: "The controller with name '' which resolves to type '' does not implement IController interface sitefinity". 

    Can you help me on it?
  4. Stanislav Velikov
    Stanislav Velikov avatar
    1113 posts
    Registered:
    22 Sep 2016
    05 May 2015
    Link to this post
    Hi,

    There is a problem with the reverences to System.MVC in the site, the site appears to use an older version of System.MVC, Sitefinity 8.0 uses MVC 4.0, if at your site there is an assembly reference to a version of System.MVC that is higher or lower than version 4.0 this error will be thrown.

    Regards,
    Stanislav Velikov
    Telerik
     
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Sitefinity CMS Ideas&Feedback Portal and vote to affect the priority of the items
     
4 posts, 0 answered